package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.ContractCostInfo;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 合同费用 服务类
 * </p>
 *
 * @author Gdc
 * @since 2022-03-01
 */
public interface IContractCostInfoService extends IService<ContractCostInfo> {
    /**
     * 添加
     *
     * @param contractCostInfo
     */
    String addInfo(ContractCostInfo contractCostInfo);

    /**
     * 编辑
     *
     * @param contractCostInfo
     */
    String editInfo(ContractCostInfo contractCostInfo);
    /**
     * 付款
     *
     * @param contractCostInfo
     */
    String payment(ContractCostInfo contractCostInfo);

    /**
     * 查看
     *
     * @param
     */
    ContractCostInfo getInfo(String id);

    /**
     * 信息分页列表查询
     *
     * @param contractCostInfo
     * @return
     */
    Page<ContractCostInfo> selectInfo(ContractCostInfo contractCostInfo);

    /**
     * 删除
     *
     * @param id
     */
    void deleteInfo(String id);

}
